(function() {
	var Privacy = /*@__PURE__*/ (function(Component) {
		function Privacy(props) {
			Component.call(this, props);
			this.data = {
				title: "",
				content: "",
				nodes: "",
				disagreeTitle: "",
				agreeTitle: "",
				privacyList: []
			};
		}

		if (Component) Privacy.__proto__ = Component;
		Privacy.prototype = Object.create(Component && Component.prototype);
		Privacy.prototype.constructor = Privacy;
		Privacy.prototype.apiready = function() {
			try {
				var str = api.readFile({
					sync: true,
					path: "./privacy.json"
				});

				var data = JSON.parse(str);
				this.data.title = data.title || "温馨提示";
				this.data.content = data.content;
				var privacyStr = "";
				var list = data.privacyList;
				this.data.privacyList = list;
				for (var i = 0; i < list.length; i++) {
					var item = list[i];
					privacyStr +=
						'<a href="https://privacy.com/' +
						i +
						'" style="color:#000;font-weight:bold;text-decoration:none;">《' +
						item.name +
						"》</a>";
				}
				this.data.nodes =
					'<div style="line-height:20px;font-size:14px;">您可阅读完整的' +
					privacyStr +
					"了解个人信息保护的详细信息内容。</div>";
				this.data.disagreeTitle = "不同意";
				this.data.agreeTitle = "同意";
			} catch (error) {
				this.data.title = "温馨提示";
				this.data.disagreeTitle = "不同意";
				this.data.agreeTitle = "同意";
			}
		};
		Privacy.prototype.disagree = function() {
			api.closeWidget({silent: true});
		};
		Privacy.prototype.agree = function() {
			api.agreedPrivacy();
		};
		Privacy.prototype.onInteract = function(e) {
			var url = e.detail.url;
			var list = url.split("/");
			var index = parseInt(list[list.length - 1]);
			var item = this.data.privacyList[index];
			api.openTabLayout({
				name: item.name,
				data: item.content,
				title: item.name,
				bgColor: "#fff",
				slidBackType: "edge",
				navigationBar: {
					color: "#000",
					background: "#fff"
				}
			});
		};
		Privacy.prototype.render = function() {
			var this$1 = this;
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					{class: "cover"},
					apivm.h(
						"view",
						{class: "box"},
						apivm.h("text", {class: "title"}, this.data.title),
						apivm.h(
							"scroll-view",
							{class: "content-area", bounces: false},
							apivm.h("rich-text", {
								class: "policy-area",
								nodes: this.data.nodes,
								"link-text-color": "#000",
								"user-select": true,
								oninteract: this.onInteract
							}),
							apivm.h("text", {class: "content"}, this.data.content)
						),
						apivm.h(
							"view",
							{class: "btn-area"},
							apivm.h(
								"text",
								{
									class: "disagree",
									onclick: function(event) {
										if (this$1.disagree) {
											this$1.disagree();
										} else {
											disagree();
										}
									}
								},
								this.data.disagreeTitle
							),
							apivm.h("view", {class: "line"}),
							apivm.h(
								"text",
								{
									class: "agree",
									onclick: function(event) {
										if (this$1.agree) {
											this$1.agree();
										} else {
											agree();
										}
									}
								},
								this.data.agreeTitle
							)
						)
					)
				)
			);
		};

		return Privacy;
	})(Component);
	Privacy.css = {
		".page": {width: "100%", height: "100%"},
		".cover": {
			justifyContent: "center",
			alignItems: "center",
			width: "100%",
			height: "100%",
			backgroundColor: "rgba(0, 0, 0, 0.6)"
		},
		".box": {
			width: "80%",
			maxWidth: "320px",
			minHeight: "160px",
			maxHeight: "480px",
			backgroundColor: "white",
			borderRadius: "15px"
		},
		".title": {
			margin: "20px",
			color: "black",
			fontWeight: "600",
			textAlign: "center",
			whiteSpace: "normal"
		},
		".content-area": {minHeight: "90px", maxHeight: "400px", overflow: "scroll"},
		".policy-area": {margin: "0px 20px", whiteSpace: "normal"},
		".content": {
			margin: "0px 20px 10px",
			color: "black",
			fontSize: "14px",
			whiteSpace: "normal"
		},
		".btn-area": {
			flexDirection: "row",
			alignItems: "center",
			height: "50px",
			borderTop: "0.5px solid #f5f5f5",
			backgroundColor: "white",
			boxShadow: "0px -40px 40px white"
		},
		".disagree": {
			flex: "1",
			textAlign: "center",
			lineHeight: "50px",
			color: "#000"
		},
		".disagree:active": {opacity: "0.8"},
		".line": {width: "0.5px", height: "28px", backgroundColor: "#f5f5f5"},
		".agree": {flex: "1", textAlign: "center", lineHeight: "50px", color: "#000"},
		".agree:active": {opacity: "0.8"}
	};
	apivm.define("privacy", Privacy);
	apivm.render(apivm.h("privacy", null), "body");
})();
